gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Range A base class for the concrete slider widgets; and .

A Scale is a slider control used to select a numeric value. Specific manipulation can be done with methods and properties on its base class, . To set the value of a scale, you would normally use the property. To detect changes to the value, connect an event handler to the event.

- Constructor
  2.12.0.0
  Protected constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.Property("digits")
  System.Int32 Manage the number of decimal places for this slider. The number of decimal places currently being displayed.
- Property
  2.12.0.0
  GLib.Property("draw-value")
  System.Boolean Manage whether a label is displayed to show the current value. Whether the value is currently being displayed.

  Use the property to alter the position of displayed value.

- Event
  2.12.0.0
  GLib.Signal("format_value")
  Gtk.FormatValueHandler Allows the format of the displayed value to be altered.

  Note: The signature of this event handler is currently incorrect.

- Method
  2.12.0.0
  System.Void `` `` a , location to store X offset of layout a , location to store Y offset of layout Obtains the coordinates where the scale will draw the representing the text in the scale. Remember that when working with Pango you need to convert to and from pixels using PANGO_PIXELS() or . If is , the return values are undefined.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  Pango.Layout Gets the used to display the scale. a
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideFormatValue", Type=typeof(Gtk.Scale))
  System.String `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  GLib.Property("value-pos")
  Gtk.PositionType Manage the position of the value, relative to the slider. Where the value is currently being drawn.

  Note: This property is only meaningful if a value is being drawn. To ensure a value is drawn, use the property.